Subject: Re: A problem about Cygwin
From: "Hugh McMaster" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 21 Jun 2007 19:49:07 +1000
List-Id: <cygwin.cygwin.com>

Hi Eric, 你好罗斌 (Luó Bīn),
Yes, it would seem that Cygwin does not fully support the use ofinternational character sets, Chinese, or otherwise.  I have triedChinese, and German (both of which I can speak some of), and neithercharacter sets appear.
Hugh
> Eric Blake wrote:> > I'm removing the screen capture, but the difference was that the group and> > user names showed only "?" while filenames showed actual Chinese> > characters (rather than "?", as they were flattened to in the above> > display).  Do those user and group names actually contain Chinese> > characters, or is it just a case of your /etc/passwd and /etc/groups being> > out-of-date so that cygwin really does think they are "????????"?  With a> > quick glance at the ls source code, ls doesn't do anything special to> > non-ascii characters in group and user names.  So maybe you need to read> > up on the use of mkgroups and mkpasswd.